FGETPWENT(3)

NAME
fgetpwent - get password file entry

SYNOPSIS
#include <stdio.h>
#include <sys/types.h>
#include <pwd.h>

struct passwd *fgetpwent(FILE *stream);

DESCRIPTION
The fgetpwent() function returns a pointer to a structure containing the broken out fields of a line in the file stream. The first time it is called it returns the first entry; thereafter, it returns successive entries. The file stream must have the same format as /etc/passwd.

The passwd structure is defined in <pwd.h> as follows:

    struct passwd {
            char    *pw_name;		/* user name */
            char    *pw_passwd;		/* user password */
            uid_t   pw_uid;			/* user id */
            gid_t   pw_gid;			/* group id */
            char    *pw_gecos;      	/* real name */
            char    *pw_dir;  		/* home directory */
            char    *pw_shell;      	/* shell program */
    };

RETURN VALUE
The fgetpwent() function returns the passwd structure, or NULL if there are no more entries or an error occurs.

ERRORS

ENOMEM
    Insufficient memory to allocate passwd structure.

FILES

/etc/passwd
    password database file

CONFORMING TO
SVID 3

SEE ALSO
endpwent(3), fgetpwent_r(3), getpw(3), getpwent(3), getpwnam(3), getpwuid(3), putpwent(3), setpwent(3), passwd(5)